/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.block;

import org.spongepowered.api.util.generator.dummy.DummyObjectProvider;

/**
 * An enumeration of all possible {@link BlockType}s in vanilla minecraft.
 */
public final class BlockTypes {

    // SORTFIELDS:ON

    public static final BlockType ACACIA_DOOR = DummyObjectProvider.createFor(BlockType.class, "ACACIA_DOOR");

    public static final BlockType ACACIA_FENCE = DummyObjectProvider.createFor(BlockType.class, "ACACIA_FENCE");

    public static final BlockType ACACIA_FENCE_GATE = DummyObjectProvider.createFor(BlockType.class, "ACACIA_FENCE_GATE");

    public static final BlockType ACACIA_STAIRS = DummyObjectProvider.createFor(BlockType.class, "ACACIA_STAIRS");

    public static final BlockType ACTIVATOR_RAIL = DummyObjectProvider.createFor(BlockType.class, "ACTIVATOR_RAIL");

    public static final BlockType AIR = DummyObjectProvider.createFor(BlockType.class, "AIR");

    public static final BlockType ANVIL = DummyObjectProvider.createFor(BlockType.class, "ANVIL");

    public static final BlockType BARRIER = DummyObjectProvider.createFor(BlockType.class, "BARRIER");

    public static final BlockType BEACON = DummyObjectProvider.createFor(BlockType.class, "BEACON");

    public static final BlockType BED = DummyObjectProvider.createFor(BlockType.class, "BED");

    public static final BlockType BEDROCK = DummyObjectProvider.createFor(BlockType.class, "BEDROCK");

    public static final BlockType BEETROOTS = DummyObjectProvider.createFor(BlockType.class, "BEETROOTS");

    public static final BlockType BIRCH_DOOR = DummyObjectProvider.createFor(BlockType.class, "BIRCH_DOOR");

    public static final BlockType BIRCH_FENCE = DummyObjectProvider.createFor(BlockType.class, "BIRCH_FENCE");

    public static final BlockType BIRCH_FENCE_GATE = DummyObjectProvider.createFor(BlockType.class, "BIRCH_FENCE_GATE");

    public static final BlockType BIRCH_STAIRS = DummyObjectProvider.createFor(BlockType.class, "BIRCH_STAIRS");

    public static final BlockType BLACK_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "BLACK_SHULKER_BOX");

    public static final BlockType BLUE_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "BLUE_SHULKER_BOX");

    public static final BlockType BONE_BLOCK = DummyObjectProvider.createFor(BlockType.class, "BONE_BLOCK");

    public static final BlockType BOOKSHELF = DummyObjectProvider.createFor(BlockType.class, "BOOKSHELF");

    public static final BlockType BREWING_STAND = DummyObjectProvider.createFor(BlockType.class, "BREWING_STAND");

    public static final BlockType BRICK_BLOCK = DummyObjectProvider.createFor(BlockType.class, "BRICK_BLOCK");

    public static final BlockType BRICK_STAIRS = DummyObjectProvider.createFor(BlockType.class, "BRICK_STAIRS");

    public static final BlockType BROWN_MUSHROOM = DummyObjectProvider.createFor(BlockType.class, "BROWN_MUSHROOM");

    public static final BlockType BROWN_MUSHROOM_BLOCK = DummyObjectProvider.createFor(BlockType.class, "BROWN_MUSHROOM_BLOCK");

    public static final BlockType BROWN_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "BROWN_SHULKER_BOX");

    public static final BlockType CACTUS = DummyObjectProvider.createFor(BlockType.class, "CACTUS");

    public static final BlockType CAKE = DummyObjectProvider.createFor(BlockType.class, "CAKE");

    public static final BlockType CARPET = DummyObjectProvider.createFor(BlockType.class, "CARPET");

    public static final BlockType CARROTS = DummyObjectProvider.createFor(BlockType.class, "CARROTS");

    public static final BlockType CAULDRON = DummyObjectProvider.createFor(BlockType.class, "CAULDRON");

    public static final BlockType CHAIN_COMMAND_BLOCK = DummyObjectProvider.createFor(BlockType.class, "CHAIN_COMMAND_BLOCK");

    public static final BlockType CHEST = DummyObjectProvider.createFor(BlockType.class, "CHEST");

    public static final BlockType CHORUS_FLOWER = DummyObjectProvider.createFor(BlockType.class, "CHORUS_FLOWER");

    public static final BlockType CHORUS_PLANT = DummyObjectProvider.createFor(BlockType.class, "CHORUS_PLANT");

    public static final BlockType CLAY = DummyObjectProvider.createFor(BlockType.class, "CLAY");

    public static final BlockType COAL_BLOCK = DummyObjectProvider.createFor(BlockType.class, "COAL_BLOCK");

    public static final BlockType COAL_ORE = DummyObjectProvider.createFor(BlockType.class, "COAL_ORE");

    public static final BlockType COBBLESTONE = DummyObjectProvider.createFor(BlockType.class, "COBBLESTONE");

    public static final BlockType COBBLESTONE_WALL = DummyObjectProvider.createFor(BlockType.class, "COBBLESTONE_WALL");

    public static final BlockType COCOA = DummyObjectProvider.createFor(BlockType.class, "COCOA");

    public static final BlockType COMMAND_BLOCK = DummyObjectProvider.createFor(BlockType.class, "COMMAND_BLOCK");

    public static final BlockType CRAFTING_TABLE = DummyObjectProvider.createFor(BlockType.class, "CRAFTING_TABLE");

    public static final BlockType CYAN_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "CYAN_SHULKER_BOX");

    public static final BlockType DARK_OAK_DOOR = DummyObjectProvider.createFor(BlockType.class, "DARK_OAK_DOOR");

    public static final BlockType DARK_OAK_FENCE = DummyObjectProvider.createFor(BlockType.class, "DARK_OAK_FENCE");

    public static final BlockType DARK_OAK_FENCE_GATE = DummyObjectProvider.createFor(BlockType.class, "DARK_OAK_FENCE_GATE");

    public static final BlockType DARK_OAK_STAIRS = DummyObjectProvider.createFor(BlockType.class, "DARK_OAK_STAIRS");

    public static final BlockType DAYLIGHT_DETECTOR = DummyObjectProvider.createFor(BlockType.class, "DAYLIGHT_DETECTOR");

    public static final BlockType DAYLIGHT_DETECTOR_INVERTED = DummyObjectProvider.createFor(BlockType.class, "DAYLIGHT_DETECTOR_INVERTED");

    public static final BlockType DEADBUSH = DummyObjectProvider.createFor(BlockType.class, "DEADBUSH");

    public static final BlockType DETECTOR_RAIL = DummyObjectProvider.createFor(BlockType.class, "DETECTOR_RAIL");

    public static final BlockType DIAMOND_BLOCK = DummyObjectProvider.createFor(BlockType.class, "DIAMOND_BLOCK");

    public static final BlockType DIAMOND_ORE = DummyObjectProvider.createFor(BlockType.class, "DIAMOND_ORE");

    public static final BlockType DIRT = DummyObjectProvider.createFor(BlockType.class, "DIRT");

    public static final BlockType DISPENSER = DummyObjectProvider.createFor(BlockType.class, "DISPENSER");

    public static final BlockType DOUBLE_PLANT = DummyObjectProvider.createFor(BlockType.class, "DOUBLE_PLANT");

    public static final BlockType DOUBLE_STONE_SLAB = DummyObjectProvider.createFor(BlockType.class, "DOUBLE_STONE_SLAB");

    public static final BlockType DOUBLE_STONE_SLAB2 = DummyObjectProvider.createFor(BlockType.class, "DOUBLE_STONE_SLAB2");

    public static final BlockType DOUBLE_WOODEN_SLAB = DummyObjectProvider.createFor(BlockType.class, "DOUBLE_WOODEN_SLAB");

    public static final BlockType DRAGON_EGG = DummyObjectProvider.createFor(BlockType.class, "DRAGON_EGG");

    public static final BlockType DROPPER = DummyObjectProvider.createFor(BlockType.class, "DROPPER");

    public static final BlockType EMERALD_BLOCK = DummyObjectProvider.createFor(BlockType.class, "EMERALD_BLOCK");

    public static final BlockType EMERALD_ORE = DummyObjectProvider.createFor(BlockType.class, "EMERALD_ORE");

    public static final BlockType ENCHANTING_TABLE = DummyObjectProvider.createFor(BlockType.class, "ENCHANTING_TABLE");

    public static final BlockType ENDER_CHEST = DummyObjectProvider.createFor(BlockType.class, "ENDER_CHEST");

    public static final BlockType END_BRICKS = DummyObjectProvider.createFor(BlockType.class, "END_BRICKS");

    public static final BlockType END_GATEWAY = DummyObjectProvider.createFor(BlockType.class, "END_GATEWAY");

    public static final BlockType END_PORTAL = DummyObjectProvider.createFor(BlockType.class, "END_PORTAL");

    public static final BlockType END_PORTAL_FRAME = DummyObjectProvider.createFor(BlockType.class, "END_PORTAL_FRAME");

    public static final BlockType END_ROD = DummyObjectProvider.createFor(BlockType.class, "END_ROD");

    public static final BlockType END_STONE = DummyObjectProvider.createFor(BlockType.class, "END_STONE");

    public static final BlockType FARMLAND = DummyObjectProvider.createFor(BlockType.class, "FARMLAND");

    public static final BlockType FENCE = DummyObjectProvider.createFor(BlockType.class, "FENCE");

    public static final BlockType FENCE_GATE = DummyObjectProvider.createFor(BlockType.class, "FENCE_GATE");

    public static final BlockType FIRE = DummyObjectProvider.createFor(BlockType.class, "FIRE");

    public static final BlockType FLOWER_POT = DummyObjectProvider.createFor(BlockType.class, "FLOWER_POT");

    public static final BlockType FLOWING_LAVA = DummyObjectProvider.createFor(BlockType.class, "FLOWING_LAVA");

    public static final BlockType FLOWING_WATER = DummyObjectProvider.createFor(BlockType.class, "FLOWING_WATER");

    public static final BlockType FROSTED_ICE = DummyObjectProvider.createFor(BlockType.class, "FROSTED_ICE");

    public static final BlockType FURNACE = DummyObjectProvider.createFor(BlockType.class, "FURNACE");

    public static final BlockType GLASS = DummyObjectProvider.createFor(BlockType.class, "GLASS");

    public static final BlockType GLASS_PANE = DummyObjectProvider.createFor(BlockType.class, "GLASS_PANE");

    public static final BlockType GLOWSTONE = DummyObjectProvider.createFor(BlockType.class, "GLOWSTONE");

    public static final BlockType GOLDEN_RAIL = DummyObjectProvider.createFor(BlockType.class, "GOLDEN_RAIL");

    public static final BlockType GOLD_BLOCK = DummyObjectProvider.createFor(BlockType.class, "GOLD_BLOCK");

    public static final BlockType GOLD_ORE = DummyObjectProvider.createFor(BlockType.class, "GOLD_ORE");

    public static final BlockType GRASS = DummyObjectProvider.createFor(BlockType.class, "GRASS");

    public static final BlockType GRASS_PATH = DummyObjectProvider.createFor(BlockType.class, "GRASS_PATH");

    public static final BlockType GRAVEL = DummyObjectProvider.createFor(BlockType.class, "GRAVEL");

    public static final BlockType GRAY_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "GRAY_SHULKER_BOX");

    public static final BlockType GREEN_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "GREEN_SHULKER_BOX");

    public static final BlockType HARDENED_CLAY = DummyObjectProvider.createFor(BlockType.class, "HARDENED_CLAY");

    public static final BlockType HAY_BLOCK = DummyObjectProvider.createFor(BlockType.class, "HAY_BLOCK");

    public static final BlockType HEAVY_WEIGHTED_PRESSURE_PLATE = DummyObjectProvider.createFor(BlockType.class, "HEAVY_WEIGHTED_PRESSURE_PLATE");

    public static final BlockType HOPPER = DummyObjectProvider.createFor(BlockType.class, "HOPPER");

    public static final BlockType ICE = DummyObjectProvider.createFor(BlockType.class, "ICE");

    public static final BlockType IRON_BARS = DummyObjectProvider.createFor(BlockType.class, "IRON_BARS");

    public static final BlockType IRON_BLOCK = DummyObjectProvider.createFor(BlockType.class, "IRON_BLOCK");

    public static final BlockType IRON_DOOR = DummyObjectProvider.createFor(BlockType.class, "IRON_DOOR");

    public static final BlockType IRON_ORE = DummyObjectProvider.createFor(BlockType.class, "IRON_ORE");

    public static final BlockType IRON_TRAPDOOR = DummyObjectProvider.createFor(BlockType.class, "IRON_TRAPDOOR");

    public static final BlockType JUKEBOX = DummyObjectProvider.createFor(BlockType.class, "JUKEBOX");

    public static final BlockType JUNGLE_DOOR = DummyObjectProvider.createFor(BlockType.class, "JUNGLE_DOOR");

    public static final BlockType JUNGLE_FENCE = DummyObjectProvider.createFor(BlockType.class, "JUNGLE_FENCE");

    public static final BlockType JUNGLE_FENCE_GATE = DummyObjectProvider.createFor(BlockType.class, "JUNGLE_FENCE_GATE");

    public static final BlockType JUNGLE_STAIRS = DummyObjectProvider.createFor(BlockType.class, "JUNGLE_STAIRS");

    public static final BlockType LADDER = DummyObjectProvider.createFor(BlockType.class, "LADDER");

    public static final BlockType LAPIS_BLOCK = DummyObjectProvider.createFor(BlockType.class, "LAPIS_BLOCK");

    public static final BlockType LAPIS_ORE = DummyObjectProvider.createFor(BlockType.class, "LAPIS_ORE");

    public static final BlockType LAVA = DummyObjectProvider.createFor(BlockType.class, "LAVA");

    public static final BlockType LEAVES = DummyObjectProvider.createFor(BlockType.class, "LEAVES");

    public static final BlockType LEAVES2 = DummyObjectProvider.createFor(BlockType.class, "LEAVES2");

    public static final BlockType LEVER = DummyObjectProvider.createFor(BlockType.class, "LEVER");

    public static final BlockType LIGHT_BLUE_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "LIGHT_BLUE_SHULKER_BOX");

    public static final BlockType LIGHT_WEIGHTED_PRESSURE_PLATE = DummyObjectProvider.createFor(BlockType.class, "LIGHT_WEIGHTED_PRESSURE_PLATE");

    public static final BlockType LIME_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "LIME_SHULKER_BOX");

    public static final BlockType LIT_FURNACE = DummyObjectProvider.createFor(BlockType.class, "LIT_FURNACE");

    public static final BlockType LIT_PUMPKIN = DummyObjectProvider.createFor(BlockType.class, "LIT_PUMPKIN");

    public static final BlockType LIT_REDSTONE_LAMP = DummyObjectProvider.createFor(BlockType.class, "LIT_REDSTONE_LAMP");

    public static final BlockType LIT_REDSTONE_ORE = DummyObjectProvider.createFor(BlockType.class, "LIT_REDSTONE_ORE");

    public static final BlockType LOG = DummyObjectProvider.createFor(BlockType.class, "LOG");

    public static final BlockType LOG2 = DummyObjectProvider.createFor(BlockType.class, "LOG2");

    public static final BlockType MAGENTA_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "MAGENTA_SHULKER_BOX");

    public static final BlockType MAGMA = DummyObjectProvider.createFor(BlockType.class, "MAGMA");

    public static final BlockType MELON_BLOCK = DummyObjectProvider.createFor(BlockType.class, "MELON_BLOCK");

    public static final BlockType MELON_STEM = DummyObjectProvider.createFor(BlockType.class, "MELON_STEM");

    public static final BlockType MOB_SPAWNER = DummyObjectProvider.createFor(BlockType.class, "MOB_SPAWNER");

    public static final BlockType MONSTER_EGG = DummyObjectProvider.createFor(BlockType.class, "MONSTER_EGG");

    public static final BlockType MOSSY_COBBLESTONE = DummyObjectProvider.createFor(BlockType.class, "MOSSY_COBBLESTONE");

    public static final BlockType MYCELIUM = DummyObjectProvider.createFor(BlockType.class, "MYCELIUM");

    public static final BlockType NETHERRACK = DummyObjectProvider.createFor(BlockType.class, "NETHERRACK");

    public static final BlockType NETHER_BRICK = DummyObjectProvider.createFor(BlockType.class, "NETHER_BRICK");

    public static final BlockType NETHER_BRICK_FENCE = DummyObjectProvider.createFor(BlockType.class, "NETHER_BRICK_FENCE");

    public static final BlockType NETHER_BRICK_STAIRS = DummyObjectProvider.createFor(BlockType.class, "NETHER_BRICK_STAIRS");

    public static final BlockType NETHER_WART = DummyObjectProvider.createFor(BlockType.class, "NETHER_WART");

    public static final BlockType NETHER_WART_BLOCK = DummyObjectProvider.createFor(BlockType.class, "NETHER_WART_BLOCK");

    public static final BlockType NOTEBLOCK = DummyObjectProvider.createFor(BlockType.class, "NOTEBLOCK");

    public static final BlockType OAK_STAIRS = DummyObjectProvider.createFor(BlockType.class, "OAK_STAIRS");

    public static final BlockType OBSERVER = DummyObjectProvider.createFor(BlockType.class, "OBSERVER");

    public static final BlockType OBSIDIAN = DummyObjectProvider.createFor(BlockType.class, "OBSIDIAN");

    public static final BlockType ORANGE_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "ORANGE_SHULKER_BOX");

    public static final BlockType PACKED_ICE = DummyObjectProvider.createFor(BlockType.class, "PACKED_ICE");

    public static final BlockType PINK_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "PINK_SHULKER_BOX");

    public static final BlockType PISTON = DummyObjectProvider.createFor(BlockType.class, "PISTON");

    public static final BlockType PISTON_EXTENSION = DummyObjectProvider.createFor(BlockType.class, "PISTON_EXTENSION");

    public static final BlockType PISTON_HEAD = DummyObjectProvider.createFor(BlockType.class, "PISTON_HEAD");

    public static final BlockType PLANKS = DummyObjectProvider.createFor(BlockType.class, "PLANKS");

    public static final BlockType PORTAL = DummyObjectProvider.createFor(BlockType.class, "PORTAL");

    public static final BlockType POTATOES = DummyObjectProvider.createFor(BlockType.class, "POTATOES");

    public static final BlockType POWERED_COMPARATOR = DummyObjectProvider.createFor(BlockType.class, "POWERED_COMPARATOR");

    public static final BlockType POWERED_REPEATER = DummyObjectProvider.createFor(BlockType.class, "POWERED_REPEATER");

    public static final BlockType PRISMARINE = DummyObjectProvider.createFor(BlockType.class, "PRISMARINE");

    public static final BlockType PUMPKIN = DummyObjectProvider.createFor(BlockType.class, "PUMPKIN");

    public static final BlockType PUMPKIN_STEM = DummyObjectProvider.createFor(BlockType.class, "PUMPKIN_STEM");

    public static final BlockType PURPLE_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "PURPLE_SHULKER_BOX");

    public static final BlockType PURPUR_BLOCK = DummyObjectProvider.createFor(BlockType.class, "PURPUR_BLOCK");

    public static final BlockType PURPUR_DOUBLE_SLAB = DummyObjectProvider.createFor(BlockType.class, "PURPUR_DOUBLE_SLAB");

    public static final BlockType PURPUR_PILLAR = DummyObjectProvider.createFor(BlockType.class, "PURPUR_PILLAR");

    public static final BlockType PURPUR_SLAB = DummyObjectProvider.createFor(BlockType.class, "PURPUR_SLAB");

    public static final BlockType PURPUR_STAIRS = DummyObjectProvider.createFor(BlockType.class, "PURPUR_STAIRS");

    public static final BlockType QUARTZ_BLOCK = DummyObjectProvider.createFor(BlockType.class, "QUARTZ_BLOCK");

    public static final BlockType QUARTZ_ORE = DummyObjectProvider.createFor(BlockType.class, "QUARTZ_ORE");

    public static final BlockType QUARTZ_STAIRS = DummyObjectProvider.createFor(BlockType.class, "QUARTZ_STAIRS");

    public static final BlockType RAIL = DummyObjectProvider.createFor(BlockType.class, "RAIL");

    public static final BlockType REDSTONE_BLOCK = DummyObjectProvider.createFor(BlockType.class, "REDSTONE_BLOCK");

    public static final BlockType REDSTONE_LAMP = DummyObjectProvider.createFor(BlockType.class, "REDSTONE_LAMP");

    public static final BlockType REDSTONE_ORE = DummyObjectProvider.createFor(BlockType.class, "REDSTONE_ORE");

    public static final BlockType REDSTONE_TORCH = DummyObjectProvider.createFor(BlockType.class, "REDSTONE_TORCH");

    public static final BlockType REDSTONE_WIRE = DummyObjectProvider.createFor(BlockType.class, "REDSTONE_WIRE");

    public static final BlockType RED_FLOWER = DummyObjectProvider.createFor(BlockType.class, "RED_FLOWER");

    public static final BlockType RED_MUSHROOM = DummyObjectProvider.createFor(BlockType.class, "RED_MUSHROOM");

    public static final BlockType RED_MUSHROOM_BLOCK = DummyObjectProvider.createFor(BlockType.class, "RED_MUSHROOM_BLOCK");

    public static final BlockType RED_NETHER_BRICK = DummyObjectProvider.createFor(BlockType.class, "RED_NETHER_BRICK");

    public static final BlockType RED_SANDSTONE = DummyObjectProvider.createFor(BlockType.class, "RED_SANDSTONE");

    public static final BlockType RED_SANDSTONE_STAIRS = DummyObjectProvider.createFor(BlockType.class, "RED_SANDSTONE_STAIRS");

    public static final BlockType RED_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "RED_SHULKER_BOX");

    public static final BlockType REEDS = DummyObjectProvider.createFor(BlockType.class, "REEDS");

    public static final BlockType REPEATING_COMMAND_BLOCK = DummyObjectProvider.createFor(BlockType.class, "REPEATING_COMMAND_BLOCK");

    public static final BlockType SAND = DummyObjectProvider.createFor(BlockType.class, "SAND");

    public static final BlockType SANDSTONE = DummyObjectProvider.createFor(BlockType.class, "SANDSTONE");

    public static final BlockType SANDSTONE_STAIRS = DummyObjectProvider.createFor(BlockType.class, "SANDSTONE_STAIRS");

    public static final BlockType SAPLING = DummyObjectProvider.createFor(BlockType.class, "SAPLING");

    public static final BlockType SEA_LANTERN = DummyObjectProvider.createFor(BlockType.class, "SEA_LANTERN");

    public static final BlockType SILVER_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "SILVER_SHULKER_BOX");

    public static final BlockType SKULL = DummyObjectProvider.createFor(BlockType.class, "SKULL");

    public static final BlockType SLIME = DummyObjectProvider.createFor(BlockType.class, "SLIME");

    public static final BlockType SNOW = DummyObjectProvider.createFor(BlockType.class, "SNOW");

    public static final BlockType SNOW_LAYER = DummyObjectProvider.createFor(BlockType.class, "SNOW_LAYER");

    public static final BlockType SOUL_SAND = DummyObjectProvider.createFor(BlockType.class, "SOUL_SAND");

    public static final BlockType SPONGE = DummyObjectProvider.createFor(BlockType.class, "SPONGE");

    public static final BlockType SPRUCE_DOOR = DummyObjectProvider.createFor(BlockType.class, "SPRUCE_DOOR");

    public static final BlockType SPRUCE_FENCE = DummyObjectProvider.createFor(BlockType.class, "SPRUCE_FENCE");

    public static final BlockType SPRUCE_FENCE_GATE = DummyObjectProvider.createFor(BlockType.class, "SPRUCE_FENCE_GATE");

    public static final BlockType SPRUCE_STAIRS = DummyObjectProvider.createFor(BlockType.class, "SPRUCE_STAIRS");

    public static final BlockType STAINED_GLASS = DummyObjectProvider.createFor(BlockType.class, "STAINED_GLASS");

    public static final BlockType STAINED_GLASS_PANE = DummyObjectProvider.createFor(BlockType.class, "STAINED_GLASS_PANE");

    public static final BlockType STAINED_HARDENED_CLAY = DummyObjectProvider.createFor(BlockType.class, "STAINED_HARDENED_CLAY");

    public static final BlockType STANDING_BANNER = DummyObjectProvider.createFor(BlockType.class, "STANDING_BANNER");

    public static final BlockType STANDING_SIGN = DummyObjectProvider.createFor(BlockType.class, "STANDING_SIGN");

    public static final BlockType STICKY_PISTON = DummyObjectProvider.createFor(BlockType.class, "STICKY_PISTON");

    public static final BlockType STONE = DummyObjectProvider.createFor(BlockType.class, "STONE");

    public static final BlockType STONEBRICK = DummyObjectProvider.createFor(BlockType.class, "STONEBRICK");

    public static final BlockType STONE_BRICK_STAIRS = DummyObjectProvider.createFor(BlockType.class, "STONE_BRICK_STAIRS");

    public static final BlockType STONE_BUTTON = DummyObjectProvider.createFor(BlockType.class, "STONE_BUTTON");

    public static final BlockType STONE_PRESSURE_PLATE = DummyObjectProvider.createFor(BlockType.class, "STONE_PRESSURE_PLATE");

    public static final BlockType STONE_SLAB = DummyObjectProvider.createFor(BlockType.class, "STONE_SLAB");

    public static final BlockType STONE_SLAB2 = DummyObjectProvider.createFor(BlockType.class, "STONE_SLAB2");

    public static final BlockType STONE_STAIRS = DummyObjectProvider.createFor(BlockType.class, "STONE_STAIRS");

    public static final BlockType STRUCTURE_BLOCK = DummyObjectProvider.createFor(BlockType.class, "STRUCTURE_BLOCK");

    public static final BlockType STRUCTURE_VOID = DummyObjectProvider.createFor(BlockType.class, "STRUCTURE_VOID");

    public static final BlockType TALLGRASS = DummyObjectProvider.createFor(BlockType.class, "TALLGRASS");

    public static final BlockType TNT = DummyObjectProvider.createFor(BlockType.class, "TNT");

    public static final BlockType TORCH = DummyObjectProvider.createFor(BlockType.class, "TORCH");

    public static final BlockType TRAPDOOR = DummyObjectProvider.createFor(BlockType.class, "TRAPDOOR");

    public static final BlockType TRAPPED_CHEST = DummyObjectProvider.createFor(BlockType.class, "TRAPPED_CHEST");

    public static final BlockType TRIPWIRE = DummyObjectProvider.createFor(BlockType.class, "TRIPWIRE");

    public static final BlockType TRIPWIRE_HOOK = DummyObjectProvider.createFor(BlockType.class, "TRIPWIRE_HOOK");

    public static final BlockType UNLIT_REDSTONE_TORCH = DummyObjectProvider.createFor(BlockType.class, "UNLIT_REDSTONE_TORCH");

    public static final BlockType UNPOWERED_COMPARATOR = DummyObjectProvider.createFor(BlockType.class, "UNPOWERED_COMPARATOR");

    public static final BlockType UNPOWERED_REPEATER = DummyObjectProvider.createFor(BlockType.class, "UNPOWERED_REPEATER");

    public static final BlockType VINE = DummyObjectProvider.createFor(BlockType.class, "VINE");

    public static final BlockType WALL_BANNER = DummyObjectProvider.createFor(BlockType.class, "WALL_BANNER");

    public static final BlockType WALL_SIGN = DummyObjectProvider.createFor(BlockType.class, "WALL_SIGN");

    public static final BlockType WATER = DummyObjectProvider.createFor(BlockType.class, "WATER");

    public static final BlockType WATERLILY = DummyObjectProvider.createFor(BlockType.class, "WATERLILY");

    public static final BlockType WEB = DummyObjectProvider.createFor(BlockType.class, "WEB");

    public static final BlockType WHEAT = DummyObjectProvider.createFor(BlockType.class, "WHEAT");

    public static final BlockType WHITE_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "WHITE_SHULKER_BOX");

    public static final BlockType WOODEN_BUTTON = DummyObjectProvider.createFor(BlockType.class, "WOODEN_BUTTON");

    public static final BlockType WOODEN_DOOR = DummyObjectProvider.createFor(BlockType.class, "WOODEN_DOOR");

    public static final BlockType WOODEN_PRESSURE_PLATE = DummyObjectProvider.createFor(BlockType.class, "WOODEN_PRESSURE_PLATE");

    public static final BlockType WOODEN_SLAB = DummyObjectProvider.createFor(BlockType.class, "WOODEN_SLAB");

    public static final BlockType WOOL = DummyObjectProvider.createFor(BlockType.class, "WOOL");

    public static final BlockType YELLOW_FLOWER = DummyObjectProvider.createFor(BlockType.class, "YELLOW_FLOWER");

    public static final BlockType YELLOW_SHULKER_BOX = DummyObjectProvider.createFor(BlockType.class, "YELLOW_SHULKER_BOX");

    // SORTFIELDS:OFF

    private BlockTypes() {
    }
}
