/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.item;

import org.spongepowered.api.util.generator.dummy.DummyObjectProvider;

/**
 * An enumeration of all possible {@link ItemType}s in vanilla minecraft.
 */
public final class ItemTypes {

    // SORTFIELDS:ON

    public static final ItemType ACACIA_BOAT = DummyObjectProvider.createFor(ItemType.class, "ACACIA_BOAT");

    public static final ItemType ACACIA_DOOR = DummyObjectProvider.createFor(ItemType.class, "ACACIA_DOOR");

    public static final ItemType ACACIA_FENCE = DummyObjectProvider.createFor(ItemType.class, "ACACIA_FENCE");

    public static final ItemType ACACIA_FENCE_GATE = DummyObjectProvider.createFor(ItemType.class, "ACACIA_FENCE_GATE");

    public static final ItemType ACACIA_STAIRS = DummyObjectProvider.createFor(ItemType.class, "ACACIA_STAIRS");

    public static final ItemType ACTIVATOR_RAIL = DummyObjectProvider.createFor(ItemType.class, "ACTIVATOR_RAIL");

    public static final ItemType AIR = DummyObjectProvider.createFor(ItemType.class, "AIR");

    public static final ItemType ANVIL = DummyObjectProvider.createFor(ItemType.class, "ANVIL");

    public static final ItemType APPLE = DummyObjectProvider.createFor(ItemType.class, "APPLE");

    public static final ItemType ARMOR_STAND = DummyObjectProvider.createFor(ItemType.class, "ARMOR_STAND");

    public static final ItemType ARROW = DummyObjectProvider.createFor(ItemType.class, "ARROW");

    public static final ItemType BAKED_POTATO = DummyObjectProvider.createFor(ItemType.class, "BAKED_POTATO");

    public static final ItemType BANNER = DummyObjectProvider.createFor(ItemType.class, "BANNER");

    public static final ItemType BARRIER = DummyObjectProvider.createFor(ItemType.class, "BARRIER");

    public static final ItemType BEACON = DummyObjectProvider.createFor(ItemType.class, "BEACON");

    public static final ItemType BED = DummyObjectProvider.createFor(ItemType.class, "BED");

    public static final ItemType BEDROCK = DummyObjectProvider.createFor(ItemType.class, "BEDROCK");

    public static final ItemType BEEF = DummyObjectProvider.createFor(ItemType.class, "BEEF");

    public static final ItemType BEETROOT = DummyObjectProvider.createFor(ItemType.class, "BEETROOT");

    public static final ItemType BEETROOT_SEEDS = DummyObjectProvider.createFor(ItemType.class, "BEETROOT_SEEDS");

    public static final ItemType BEETROOT_SOUP = DummyObjectProvider.createFor(ItemType.class, "BEETROOT_SOUP");

    public static final ItemType BIRCH_BOAT = DummyObjectProvider.createFor(ItemType.class, "BIRCH_BOAT");

    public static final ItemType BIRCH_DOOR = DummyObjectProvider.createFor(ItemType.class, "BIRCH_DOOR");

    public static final ItemType BIRCH_FENCE = DummyObjectProvider.createFor(ItemType.class, "BIRCH_FENCE");

    public static final ItemType BIRCH_FENCE_GATE = DummyObjectProvider.createFor(ItemType.class, "BIRCH_FENCE_GATE");

    public static final ItemType BIRCH_STAIRS = DummyObjectProvider.createFor(ItemType.class, "BIRCH_STAIRS");

    public static final ItemType BLACK_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "BLACK_SHULKER_BOX");

    public static final ItemType BLAZE_POWDER = DummyObjectProvider.createFor(ItemType.class, "BLAZE_POWDER");

    public static final ItemType BLAZE_ROD = DummyObjectProvider.createFor(ItemType.class, "BLAZE_ROD");

    public static final ItemType BLUE_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "BLUE_SHULKER_BOX");

    public static final ItemType BOAT = DummyObjectProvider.createFor(ItemType.class, "BOAT");

    public static final ItemType BONE = DummyObjectProvider.createFor(ItemType.class, "BONE");

    public static final ItemType BONE_BLOCK = DummyObjectProvider.createFor(ItemType.class, "BONE_BLOCK");

    public static final ItemType BOOK = DummyObjectProvider.createFor(ItemType.class, "BOOK");

    public static final ItemType BOOKSHELF = DummyObjectProvider.createFor(ItemType.class, "BOOKSHELF");

    public static final ItemType BOW = DummyObjectProvider.createFor(ItemType.class, "BOW");

    public static final ItemType BOWL = DummyObjectProvider.createFor(ItemType.class, "BOWL");

    public static final ItemType BREAD = DummyObjectProvider.createFor(ItemType.class, "BREAD");

    public static final ItemType BREWING_STAND = DummyObjectProvider.createFor(ItemType.class, "BREWING_STAND");

    public static final ItemType BRICK = DummyObjectProvider.createFor(ItemType.class, "BRICK");

    public static final ItemType BRICK_BLOCK = DummyObjectProvider.createFor(ItemType.class, "BRICK_BLOCK");

    public static final ItemType BRICK_STAIRS = DummyObjectProvider.createFor(ItemType.class, "BRICK_STAIRS");

    public static final ItemType BROWN_MUSHROOM = DummyObjectProvider.createFor(ItemType.class, "BROWN_MUSHROOM");

    public static final ItemType BROWN_MUSHROOM_BLOCK = DummyObjectProvider.createFor(ItemType.class, "BROWN_MUSHROOM_BLOCK");

    public static final ItemType BROWN_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "BROWN_SHULKER_BOX");

    public static final ItemType BUCKET = DummyObjectProvider.createFor(ItemType.class, "BUCKET");

    public static final ItemType CACTUS = DummyObjectProvider.createFor(ItemType.class, "CACTUS");

    public static final ItemType CAKE = DummyObjectProvider.createFor(ItemType.class, "CAKE");

    public static final ItemType CARPET = DummyObjectProvider.createFor(ItemType.class, "CARPET");

    public static final ItemType CARROT = DummyObjectProvider.createFor(ItemType.class, "CARROT");

    public static final ItemType CARROT_ON_A_STICK = DummyObjectProvider.createFor(ItemType.class, "CARROT_ON_A_STICK");

    public static final ItemType CAULDRON = DummyObjectProvider.createFor(ItemType.class, "CAULDRON");

    public static final ItemType CHAINMAIL_BOOTS = DummyObjectProvider.createFor(ItemType.class, "CHAINMAIL_BOOTS");

    public static final ItemType CHAINMAIL_CHESTPLATE = DummyObjectProvider.createFor(ItemType.class, "CHAINMAIL_CHESTPLATE");

    public static final ItemType CHAINMAIL_HELMET = DummyObjectProvider.createFor(ItemType.class, "CHAINMAIL_HELMET");

    public static final ItemType CHAINMAIL_LEGGINGS = DummyObjectProvider.createFor(ItemType.class, "CHAINMAIL_LEGGINGS");

    public static final ItemType CHAIN_COMMAND_BLOCK = DummyObjectProvider.createFor(ItemType.class, "CHAIN_COMMAND_BLOCK");

    public static final ItemType CHEST = DummyObjectProvider.createFor(ItemType.class, "CHEST");

    public static final ItemType CHEST_MINECART = DummyObjectProvider.createFor(ItemType.class, "CHEST_MINECART");

    public static final ItemType CHICKEN = DummyObjectProvider.createFor(ItemType.class, "CHICKEN");

    public static final ItemType CHORUS_FLOWER = DummyObjectProvider.createFor(ItemType.class, "CHORUS_FLOWER");

    public static final ItemType CHORUS_FRUIT = DummyObjectProvider.createFor(ItemType.class, "CHORUS_FRUIT");

    public static final ItemType CHORUS_FRUIT_POPPED = DummyObjectProvider.createFor(ItemType.class, "CHORUS_FRUIT_POPPED");

    public static final ItemType CHORUS_PLANT = DummyObjectProvider.createFor(ItemType.class, "CHORUS_PLANT");

    public static final ItemType CLAY = DummyObjectProvider.createFor(ItemType.class, "CLAY");

    public static final ItemType CLAY_BALL = DummyObjectProvider.createFor(ItemType.class, "CLAY_BALL");

    public static final ItemType CLOCK = DummyObjectProvider.createFor(ItemType.class, "CLOCK");

    public static final ItemType COAL = DummyObjectProvider.createFor(ItemType.class, "COAL");

    public static final ItemType COAL_BLOCK = DummyObjectProvider.createFor(ItemType.class, "COAL_BLOCK");

    public static final ItemType COAL_ORE = DummyObjectProvider.createFor(ItemType.class, "COAL_ORE");

    public static final ItemType COBBLESTONE = DummyObjectProvider.createFor(ItemType.class, "COBBLESTONE");

    public static final ItemType COBBLESTONE_WALL = DummyObjectProvider.createFor(ItemType.class, "COBBLESTONE_WALL");

    public static final ItemType COMMAND_BLOCK = DummyObjectProvider.createFor(ItemType.class, "COMMAND_BLOCK");

    public static final ItemType COMMAND_BLOCK_MINECART = DummyObjectProvider.createFor(ItemType.class, "COMMAND_BLOCK_MINECART");

    public static final ItemType COMPARATOR = DummyObjectProvider.createFor(ItemType.class, "COMPARATOR");

    public static final ItemType COMPASS = DummyObjectProvider.createFor(ItemType.class, "COMPASS");

    public static final ItemType COOKED_BEEF = DummyObjectProvider.createFor(ItemType.class, "COOKED_BEEF");

    public static final ItemType COOKED_CHICKEN = DummyObjectProvider.createFor(ItemType.class, "COOKED_CHICKEN");

    public static final ItemType COOKED_FISH = DummyObjectProvider.createFor(ItemType.class, "COOKED_FISH");

    public static final ItemType COOKED_MUTTON = DummyObjectProvider.createFor(ItemType.class, "COOKED_MUTTON");

    public static final ItemType COOKED_PORKCHOP = DummyObjectProvider.createFor(ItemType.class, "COOKED_PORKCHOP");

    public static final ItemType COOKED_RABBIT = DummyObjectProvider.createFor(ItemType.class, "COOKED_RABBIT");

    public static final ItemType COOKIE = DummyObjectProvider.createFor(ItemType.class, "COOKIE");

    public static final ItemType CRAFTING_TABLE = DummyObjectProvider.createFor(ItemType.class, "CRAFTING_TABLE");

    public static final ItemType CYAN_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "CYAN_SHULKER_BOX");

    public static final ItemType DARK_OAK_BOAT = DummyObjectProvider.createFor(ItemType.class, "DARK_OAK_BOAT");

    public static final ItemType DARK_OAK_DOOR = DummyObjectProvider.createFor(ItemType.class, "DARK_OAK_DOOR");

    public static final ItemType DARK_OAK_FENCE = DummyObjectProvider.createFor(ItemType.class, "DARK_OAK_FENCE");

    public static final ItemType DARK_OAK_FENCE_GATE = DummyObjectProvider.createFor(ItemType.class, "DARK_OAK_FENCE_GATE");

    public static final ItemType DARK_OAK_STAIRS = DummyObjectProvider.createFor(ItemType.class, "DARK_OAK_STAIRS");

    public static final ItemType DAYLIGHT_DETECTOR = DummyObjectProvider.createFor(ItemType.class, "DAYLIGHT_DETECTOR");

    public static final ItemType DEADBUSH = DummyObjectProvider.createFor(ItemType.class, "DEADBUSH");

    public static final ItemType DETECTOR_RAIL = DummyObjectProvider.createFor(ItemType.class, "DETECTOR_RAIL");

    public static final ItemType DIAMOND = DummyObjectProvider.createFor(ItemType.class, "DIAMOND");

    public static final ItemType DIAMOND_AXE = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_AXE");

    public static final ItemType DIAMOND_BLOCK = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_BLOCK");

    public static final ItemType DIAMOND_BOOTS = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_BOOTS");

    public static final ItemType DIAMOND_CHESTPLATE = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_CHESTPLATE");

    public static final ItemType DIAMOND_HELMET = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_HELMET");

    public static final ItemType DIAMOND_HOE = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_HOE");

    public static final ItemType DIAMOND_HORSE_ARMOR = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_HORSE_ARMOR");

    public static final ItemType DIAMOND_LEGGINGS = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_LEGGINGS");

    public static final ItemType DIAMOND_ORE = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_ORE");

    public static final ItemType DIAMOND_PICKAXE = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_PICKAXE");

    public static final ItemType DIAMOND_SHOVEL = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_SHOVEL");

    public static final ItemType DIAMOND_SWORD = DummyObjectProvider.createFor(ItemType.class, "DIAMOND_SWORD");

    public static final ItemType DIRT = DummyObjectProvider.createFor(ItemType.class, "DIRT");

    public static final ItemType DISPENSER = DummyObjectProvider.createFor(ItemType.class, "DISPENSER");

    public static final ItemType DOUBLE_PLANT = DummyObjectProvider.createFor(ItemType.class, "DOUBLE_PLANT");

    public static final ItemType DRAGON_BREATH = DummyObjectProvider.createFor(ItemType.class, "DRAGON_BREATH");

    public static final ItemType DRAGON_EGG = DummyObjectProvider.createFor(ItemType.class, "DRAGON_EGG");

    public static final ItemType DROPPER = DummyObjectProvider.createFor(ItemType.class, "DROPPER");

    public static final ItemType DYE = DummyObjectProvider.createFor(ItemType.class, "DYE");

    public static final ItemType EGG = DummyObjectProvider.createFor(ItemType.class, "EGG");

    public static final ItemType ELYTRA = DummyObjectProvider.createFor(ItemType.class, "ELYTRA");

    public static final ItemType EMERALD = DummyObjectProvider.createFor(ItemType.class, "EMERALD");

    public static final ItemType EMERALD_BLOCK = DummyObjectProvider.createFor(ItemType.class, "EMERALD_BLOCK");

    public static final ItemType EMERALD_ORE = DummyObjectProvider.createFor(ItemType.class, "EMERALD_ORE");

    public static final ItemType ENCHANTED_BOOK = DummyObjectProvider.createFor(ItemType.class, "ENCHANTED_BOOK");

    public static final ItemType ENCHANTING_TABLE = DummyObjectProvider.createFor(ItemType.class, "ENCHANTING_TABLE");

    public static final ItemType ENDER_CHEST = DummyObjectProvider.createFor(ItemType.class, "ENDER_CHEST");

    public static final ItemType ENDER_EYE = DummyObjectProvider.createFor(ItemType.class, "ENDER_EYE");

    public static final ItemType ENDER_PEARL = DummyObjectProvider.createFor(ItemType.class, "ENDER_PEARL");

    public static final ItemType END_BRICKS = DummyObjectProvider.createFor(ItemType.class, "END_BRICKS");

    public static final ItemType END_CRYSTAL = DummyObjectProvider.createFor(ItemType.class, "END_CRYSTAL");

    public static final ItemType END_PORTAL_FRAME = DummyObjectProvider.createFor(ItemType.class, "END_PORTAL_FRAME");

    public static final ItemType END_ROD = DummyObjectProvider.createFor(ItemType.class, "END_ROD");

    public static final ItemType END_STONE = DummyObjectProvider.createFor(ItemType.class, "END_STONE");

    public static final ItemType EXPERIENCE_BOTTLE = DummyObjectProvider.createFor(ItemType.class, "EXPERIENCE_BOTTLE");

    public static final ItemType FARMLAND = DummyObjectProvider.createFor(ItemType.class, "FARMLAND");

    public static final ItemType FEATHER = DummyObjectProvider.createFor(ItemType.class, "FEATHER");

    public static final ItemType FENCE = DummyObjectProvider.createFor(ItemType.class, "FENCE");

    public static final ItemType FENCE_GATE = DummyObjectProvider.createFor(ItemType.class, "FENCE_GATE");

    public static final ItemType FERMENTED_SPIDER_EYE = DummyObjectProvider.createFor(ItemType.class, "FERMENTED_SPIDER_EYE");

    public static final ItemType FILLED_MAP = DummyObjectProvider.createFor(ItemType.class, "FILLED_MAP");

    public static final ItemType FIREWORKS = DummyObjectProvider.createFor(ItemType.class, "FIREWORKS");

    public static final ItemType FIREWORK_CHARGE = DummyObjectProvider.createFor(ItemType.class, "FIREWORK_CHARGE");

    public static final ItemType FIRE_CHARGE = DummyObjectProvider.createFor(ItemType.class, "FIRE_CHARGE");

    public static final ItemType FISH = DummyObjectProvider.createFor(ItemType.class, "FISH");

    public static final ItemType FISHING_ROD = DummyObjectProvider.createFor(ItemType.class, "FISHING_ROD");

    public static final ItemType FLINT = DummyObjectProvider.createFor(ItemType.class, "FLINT");

    public static final ItemType FLINT_AND_STEEL = DummyObjectProvider.createFor(ItemType.class, "FLINT_AND_STEEL");

    public static final ItemType FLOWER_POT = DummyObjectProvider.createFor(ItemType.class, "FLOWER_POT");

    public static final ItemType FURNACE = DummyObjectProvider.createFor(ItemType.class, "FURNACE");

    public static final ItemType FURNACE_MINECART = DummyObjectProvider.createFor(ItemType.class, "FURNACE_MINECART");

    public static final ItemType GHAST_TEAR = DummyObjectProvider.createFor(ItemType.class, "GHAST_TEAR");

    public static final ItemType GLASS = DummyObjectProvider.createFor(ItemType.class, "GLASS");

    public static final ItemType GLASS_BOTTLE = DummyObjectProvider.createFor(ItemType.class, "GLASS_BOTTLE");

    public static final ItemType GLASS_PANE = DummyObjectProvider.createFor(ItemType.class, "GLASS_PANE");

    public static final ItemType GLOWSTONE = DummyObjectProvider.createFor(ItemType.class, "GLOWSTONE");

    public static final ItemType GLOWSTONE_DUST = DummyObjectProvider.createFor(ItemType.class, "GLOWSTONE_DUST");

    public static final ItemType GOLDEN_APPLE = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_APPLE");

    public static final ItemType GOLDEN_AXE = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_AXE");

    public static final ItemType GOLDEN_BOOTS = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_BOOTS");

    public static final ItemType GOLDEN_CARROT = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_CARROT");

    public static final ItemType GOLDEN_CHESTPLATE = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_CHESTPLATE");

    public static final ItemType GOLDEN_HELMET = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_HELMET");

    public static final ItemType GOLDEN_HOE = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_HOE");

    public static final ItemType GOLDEN_HORSE_ARMOR = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_HORSE_ARMOR");

    public static final ItemType GOLDEN_LEGGINGS = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_LEGGINGS");

    public static final ItemType GOLDEN_PICKAXE = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_PICKAXE");

    public static final ItemType GOLDEN_RAIL = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_RAIL");

    public static final ItemType GOLDEN_SHOVEL = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_SHOVEL");

    public static final ItemType GOLDEN_SWORD = DummyObjectProvider.createFor(ItemType.class, "GOLDEN_SWORD");

    public static final ItemType GOLD_BLOCK = DummyObjectProvider.createFor(ItemType.class, "GOLD_BLOCK");

    public static final ItemType GOLD_INGOT = DummyObjectProvider.createFor(ItemType.class, "GOLD_INGOT");

    public static final ItemType GOLD_NUGGET = DummyObjectProvider.createFor(ItemType.class, "GOLD_NUGGET");

    public static final ItemType GOLD_ORE = DummyObjectProvider.createFor(ItemType.class, "GOLD_ORE");

    public static final ItemType GRASS = DummyObjectProvider.createFor(ItemType.class, "GRASS");

    public static final ItemType GRASS_PATH = DummyObjectProvider.createFor(ItemType.class, "GRASS_PATH");

    public static final ItemType GRAVEL = DummyObjectProvider.createFor(ItemType.class, "GRAVEL");

    public static final ItemType GRAY_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "GRAY_SHULKER_BOX");

    public static final ItemType GREEN_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "GREEN_SHULKER_BOX");

    public static final ItemType GUNPOWDER = DummyObjectProvider.createFor(ItemType.class, "GUNPOWDER");

    public static final ItemType HARDENED_CLAY = DummyObjectProvider.createFor(ItemType.class, "HARDENED_CLAY");

    public static final ItemType HAY_BLOCK = DummyObjectProvider.createFor(ItemType.class, "HAY_BLOCK");

    public static final ItemType HEAVY_WEIGHTED_PRESSURE_PLATE = DummyObjectProvider.createFor(ItemType.class, "HEAVY_WEIGHTED_PRESSURE_PLATE");

    public static final ItemType HOPPER = DummyObjectProvider.createFor(ItemType.class, "HOPPER");

    public static final ItemType HOPPER_MINECART = DummyObjectProvider.createFor(ItemType.class, "HOPPER_MINECART");

    public static final ItemType ICE = DummyObjectProvider.createFor(ItemType.class, "ICE");

    public static final ItemType IRON_AXE = DummyObjectProvider.createFor(ItemType.class, "IRON_AXE");

    public static final ItemType IRON_BARS = DummyObjectProvider.createFor(ItemType.class, "IRON_BARS");

    public static final ItemType IRON_BLOCK = DummyObjectProvider.createFor(ItemType.class, "IRON_BLOCK");

    public static final ItemType IRON_BOOTS = DummyObjectProvider.createFor(ItemType.class, "IRON_BOOTS");

    public static final ItemType IRON_CHESTPLATE = DummyObjectProvider.createFor(ItemType.class, "IRON_CHESTPLATE");

    public static final ItemType IRON_DOOR = DummyObjectProvider.createFor(ItemType.class, "IRON_DOOR");

    public static final ItemType IRON_HELMET = DummyObjectProvider.createFor(ItemType.class, "IRON_HELMET");

    public static final ItemType IRON_HOE = DummyObjectProvider.createFor(ItemType.class, "IRON_HOE");

    public static final ItemType IRON_HORSE_ARMOR = DummyObjectProvider.createFor(ItemType.class, "IRON_HORSE_ARMOR");

    public static final ItemType IRON_INGOT = DummyObjectProvider.createFor(ItemType.class, "IRON_INGOT");

    public static final ItemType IRON_LEGGINGS = DummyObjectProvider.createFor(ItemType.class, "IRON_LEGGINGS");

    public static final ItemType IRON_NUGGET = DummyObjectProvider.createFor(ItemType.class, "IRON_NUGGET");

    public static final ItemType IRON_ORE = DummyObjectProvider.createFor(ItemType.class, "IRON_ORE");

    public static final ItemType IRON_PICKAXE = DummyObjectProvider.createFor(ItemType.class, "IRON_PICKAXE");

    public static final ItemType IRON_SHOVEL = DummyObjectProvider.createFor(ItemType.class, "IRON_SHOVEL");

    public static final ItemType IRON_SWORD = DummyObjectProvider.createFor(ItemType.class, "IRON_SWORD");

    public static final ItemType IRON_TRAPDOOR = DummyObjectProvider.createFor(ItemType.class, "IRON_TRAPDOOR");

    public static final ItemType ITEM_FRAME = DummyObjectProvider.createFor(ItemType.class, "ITEM_FRAME");

    public static final ItemType JUKEBOX = DummyObjectProvider.createFor(ItemType.class, "JUKEBOX");

    public static final ItemType JUNGLE_BOAT = DummyObjectProvider.createFor(ItemType.class, "JUNGLE_BOAT");

    public static final ItemType JUNGLE_DOOR = DummyObjectProvider.createFor(ItemType.class, "JUNGLE_DOOR");

    public static final ItemType JUNGLE_FENCE = DummyObjectProvider.createFor(ItemType.class, "JUNGLE_FENCE");

    public static final ItemType JUNGLE_FENCE_GATE = DummyObjectProvider.createFor(ItemType.class, "JUNGLE_FENCE_GATE");

    public static final ItemType JUNGLE_STAIRS = DummyObjectProvider.createFor(ItemType.class, "JUNGLE_STAIRS");

    public static final ItemType LADDER = DummyObjectProvider.createFor(ItemType.class, "LADDER");

    public static final ItemType LAPIS_BLOCK = DummyObjectProvider.createFor(ItemType.class, "LAPIS_BLOCK");

    public static final ItemType LAPIS_ORE = DummyObjectProvider.createFor(ItemType.class, "LAPIS_ORE");

    public static final ItemType LAVA_BUCKET = DummyObjectProvider.createFor(ItemType.class, "LAVA_BUCKET");

    public static final ItemType LEAD = DummyObjectProvider.createFor(ItemType.class, "LEAD");

    public static final ItemType LEATHER = DummyObjectProvider.createFor(ItemType.class, "LEATHER");

    public static final ItemType LEATHER_BOOTS = DummyObjectProvider.createFor(ItemType.class, "LEATHER_BOOTS");

    public static final ItemType LEATHER_CHESTPLATE = DummyObjectProvider.createFor(ItemType.class, "LEATHER_CHESTPLATE");

    public static final ItemType LEATHER_HELMET = DummyObjectProvider.createFor(ItemType.class, "LEATHER_HELMET");

    public static final ItemType LEATHER_LEGGINGS = DummyObjectProvider.createFor(ItemType.class, "LEATHER_LEGGINGS");

    public static final ItemType LEAVES = DummyObjectProvider.createFor(ItemType.class, "LEAVES");

    public static final ItemType LEAVES2 = DummyObjectProvider.createFor(ItemType.class, "LEAVES2");

    public static final ItemType LEVER = DummyObjectProvider.createFor(ItemType.class, "LEVER");

    public static final ItemType LIGHT_BLUE_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "LIGHT_BLUE_SHULKER_BOX");

    public static final ItemType LIGHT_WEIGHTED_PRESSURE_PLATE = DummyObjectProvider.createFor(ItemType.class, "LIGHT_WEIGHTED_PRESSURE_PLATE");

    public static final ItemType LIME_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "LIME_SHULKER_BOX");

    public static final ItemType LINGERING_POTION = DummyObjectProvider.createFor(ItemType.class, "LINGERING_POTION");

    public static final ItemType LIT_PUMPKIN = DummyObjectProvider.createFor(ItemType.class, "LIT_PUMPKIN");

    public static final ItemType LOG = DummyObjectProvider.createFor(ItemType.class, "LOG");

    public static final ItemType LOG2 = DummyObjectProvider.createFor(ItemType.class, "LOG2");

    public static final ItemType MAGENTA_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "MAGENTA_SHULKER_BOX");

    public static final ItemType MAGMA = DummyObjectProvider.createFor(ItemType.class, "MAGMA");

    public static final ItemType MAGMA_CREAM = DummyObjectProvider.createFor(ItemType.class, "MAGMA_CREAM");

    public static final ItemType MAP = DummyObjectProvider.createFor(ItemType.class, "MAP");

    public static final ItemType MELON = DummyObjectProvider.createFor(ItemType.class, "MELON");

    public static final ItemType MELON_BLOCK = DummyObjectProvider.createFor(ItemType.class, "MELON_BLOCK");

    public static final ItemType MELON_SEEDS = DummyObjectProvider.createFor(ItemType.class, "MELON_SEEDS");

    public static final ItemType MILK_BUCKET = DummyObjectProvider.createFor(ItemType.class, "MILK_BUCKET");

    public static final ItemType MINECART = DummyObjectProvider.createFor(ItemType.class, "MINECART");

    public static final ItemType MOB_SPAWNER = DummyObjectProvider.createFor(ItemType.class, "MOB_SPAWNER");

    public static final ItemType MONSTER_EGG = DummyObjectProvider.createFor(ItemType.class, "MONSTER_EGG");

    public static final ItemType MOSSY_COBBLESTONE = DummyObjectProvider.createFor(ItemType.class, "MOSSY_COBBLESTONE");

    public static final ItemType MUSHROOM_STEW = DummyObjectProvider.createFor(ItemType.class, "MUSHROOM_STEW");

    public static final ItemType MUTTON = DummyObjectProvider.createFor(ItemType.class, "MUTTON");

    public static final ItemType MYCELIUM = DummyObjectProvider.createFor(ItemType.class, "MYCELIUM");

    public static final ItemType NAME_TAG = DummyObjectProvider.createFor(ItemType.class, "NAME_TAG");

    public static final ItemType NETHERBRICK = DummyObjectProvider.createFor(ItemType.class, "NETHERBRICK");

    public static final ItemType NETHERRACK = DummyObjectProvider.createFor(ItemType.class, "NETHERRACK");

    public static final ItemType NETHER_BRICK = DummyObjectProvider.createFor(ItemType.class, "NETHER_BRICK");

    public static final ItemType NETHER_BRICK_FENCE = DummyObjectProvider.createFor(ItemType.class, "NETHER_BRICK_FENCE");

    public static final ItemType NETHER_BRICK_STAIRS = DummyObjectProvider.createFor(ItemType.class, "NETHER_BRICK_STAIRS");

    public static final ItemType NETHER_STAR = DummyObjectProvider.createFor(ItemType.class, "NETHER_STAR");

    public static final ItemType NETHER_WART = DummyObjectProvider.createFor(ItemType.class, "NETHER_WART");

    public static final ItemType NETHER_WART_BLOCK = DummyObjectProvider.createFor(ItemType.class, "NETHER_WART_BLOCK");

    public static final ItemType NONE = DummyObjectProvider.createFor(ItemType.class, "NONE");

    public static final ItemType NOTEBLOCK = DummyObjectProvider.createFor(ItemType.class, "NOTEBLOCK");

    public static final ItemType OAK_STAIRS = DummyObjectProvider.createFor(ItemType.class, "OAK_STAIRS");

    public static final ItemType OBSERVER = DummyObjectProvider.createFor(ItemType.class, "OBSERVER");

    public static final ItemType OBSIDIAN = DummyObjectProvider.createFor(ItemType.class, "OBSIDIAN");

    public static final ItemType ORANGE_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "ORANGE_SHULKER_BOX");

    public static final ItemType PACKED_ICE = DummyObjectProvider.createFor(ItemType.class, "PACKED_ICE");

    public static final ItemType PAINTING = DummyObjectProvider.createFor(ItemType.class, "PAINTING");

    public static final ItemType PAPER = DummyObjectProvider.createFor(ItemType.class, "PAPER");

    public static final ItemType PINK_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "PINK_SHULKER_BOX");

    public static final ItemType PISTON = DummyObjectProvider.createFor(ItemType.class, "PISTON");

    public static final ItemType PLANKS = DummyObjectProvider.createFor(ItemType.class, "PLANKS");

    public static final ItemType POISONOUS_POTATO = DummyObjectProvider.createFor(ItemType.class, "POISONOUS_POTATO");

    public static final ItemType PORKCHOP = DummyObjectProvider.createFor(ItemType.class, "PORKCHOP");

    public static final ItemType POTATO = DummyObjectProvider.createFor(ItemType.class, "POTATO");

    public static final ItemType POTION = DummyObjectProvider.createFor(ItemType.class, "POTION");

    public static final ItemType PRISMARINE = DummyObjectProvider.createFor(ItemType.class, "PRISMARINE");

    public static final ItemType PRISMARINE_CRYSTALS = DummyObjectProvider.createFor(ItemType.class, "PRISMARINE_CRYSTALS");

    public static final ItemType PRISMARINE_SHARD = DummyObjectProvider.createFor(ItemType.class, "PRISMARINE_SHARD");

    public static final ItemType PUMPKIN = DummyObjectProvider.createFor(ItemType.class, "PUMPKIN");

    public static final ItemType PUMPKIN_PIE = DummyObjectProvider.createFor(ItemType.class, "PUMPKIN_PIE");

    public static final ItemType PUMPKIN_SEEDS = DummyObjectProvider.createFor(ItemType.class, "PUMPKIN_SEEDS");

    public static final ItemType PURPLE_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "PURPLE_SHULKER_BOX");

    public static final ItemType PURPUR_BLOCK = DummyObjectProvider.createFor(ItemType.class, "PURPUR_BLOCK");

    public static final ItemType PURPUR_PILLAR = DummyObjectProvider.createFor(ItemType.class, "PURPUR_PILLAR");

    public static final ItemType PURPUR_SLAB = DummyObjectProvider.createFor(ItemType.class, "PURPUR_SLAB");

    public static final ItemType PURPUR_STAIRS = DummyObjectProvider.createFor(ItemType.class, "PURPUR_STAIRS");

    public static final ItemType QUARTZ = DummyObjectProvider.createFor(ItemType.class, "QUARTZ");

    public static final ItemType QUARTZ_BLOCK = DummyObjectProvider.createFor(ItemType.class, "QUARTZ_BLOCK");

    public static final ItemType QUARTZ_ORE = DummyObjectProvider.createFor(ItemType.class, "QUARTZ_ORE");

    public static final ItemType QUARTZ_STAIRS = DummyObjectProvider.createFor(ItemType.class, "QUARTZ_STAIRS");

    public static final ItemType RABBIT = DummyObjectProvider.createFor(ItemType.class, "RABBIT");

    public static final ItemType RABBIT_FOOT = DummyObjectProvider.createFor(ItemType.class, "RABBIT_FOOT");

    public static final ItemType RABBIT_HIDE = DummyObjectProvider.createFor(ItemType.class, "RABBIT_HIDE");

    public static final ItemType RABBIT_STEW = DummyObjectProvider.createFor(ItemType.class, "RABBIT_STEW");

    public static final ItemType RAIL = DummyObjectProvider.createFor(ItemType.class, "RAIL");

    public static final ItemType RECORD_11 = DummyObjectProvider.createFor(ItemType.class, "RECORD_11");

    public static final ItemType RECORD_13 = DummyObjectProvider.createFor(ItemType.class, "RECORD_13");

    public static final ItemType RECORD_BLOCKS = DummyObjectProvider.createFor(ItemType.class, "RECORD_BLOCKS");

    public static final ItemType RECORD_CAT = DummyObjectProvider.createFor(ItemType.class, "RECORD_CAT");

    public static final ItemType RECORD_CHIRP = DummyObjectProvider.createFor(ItemType.class, "RECORD_CHIRP");

    public static final ItemType RECORD_FAR = DummyObjectProvider.createFor(ItemType.class, "RECORD_FAR");

    public static final ItemType RECORD_MALL = DummyObjectProvider.createFor(ItemType.class, "RECORD_MALL");

    public static final ItemType RECORD_MELLOHI = DummyObjectProvider.createFor(ItemType.class, "RECORD_MELLOHI");

    public static final ItemType RECORD_STAL = DummyObjectProvider.createFor(ItemType.class, "RECORD_STAL");

    public static final ItemType RECORD_STRAD = DummyObjectProvider.createFor(ItemType.class, "RECORD_STRAD");

    public static final ItemType RECORD_WAIT = DummyObjectProvider.createFor(ItemType.class, "RECORD_WAIT");

    public static final ItemType RECORD_WARD = DummyObjectProvider.createFor(ItemType.class, "RECORD_WARD");

    public static final ItemType REDSTONE = DummyObjectProvider.createFor(ItemType.class, "REDSTONE");

    public static final ItemType REDSTONE_BLOCK = DummyObjectProvider.createFor(ItemType.class, "REDSTONE_BLOCK");

    public static final ItemType REDSTONE_LAMP = DummyObjectProvider.createFor(ItemType.class, "REDSTONE_LAMP");

    public static final ItemType REDSTONE_ORE = DummyObjectProvider.createFor(ItemType.class, "REDSTONE_ORE");

    public static final ItemType REDSTONE_TORCH = DummyObjectProvider.createFor(ItemType.class, "REDSTONE_TORCH");

    public static final ItemType RED_FLOWER = DummyObjectProvider.createFor(ItemType.class, "RED_FLOWER");

    public static final ItemType RED_MUSHROOM = DummyObjectProvider.createFor(ItemType.class, "RED_MUSHROOM");

    public static final ItemType RED_MUSHROOM_BLOCK = DummyObjectProvider.createFor(ItemType.class, "RED_MUSHROOM_BLOCK");

    public static final ItemType RED_NETHER_BRICK = DummyObjectProvider.createFor(ItemType.class, "RED_NETHER_BRICK");

    public static final ItemType RED_SANDSTONE = DummyObjectProvider.createFor(ItemType.class, "RED_SANDSTONE");

    public static final ItemType RED_SANDSTONE_STAIRS = DummyObjectProvider.createFor(ItemType.class, "RED_SANDSTONE_STAIRS");

    public static final ItemType RED_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "RED_SHULKER_BOX");

    public static final ItemType REEDS = DummyObjectProvider.createFor(ItemType.class, "REEDS");

    public static final ItemType REPEATER = DummyObjectProvider.createFor(ItemType.class, "REPEATER");

    public static final ItemType REPEATING_COMMAND_BLOCK = DummyObjectProvider.createFor(ItemType.class, "REPEATING_COMMAND_BLOCK");

    public static final ItemType ROTTEN_FLESH = DummyObjectProvider.createFor(ItemType.class, "ROTTEN_FLESH");

    public static final ItemType SADDLE = DummyObjectProvider.createFor(ItemType.class, "SADDLE");

    public static final ItemType SAND = DummyObjectProvider.createFor(ItemType.class, "SAND");

    public static final ItemType SANDSTONE = DummyObjectProvider.createFor(ItemType.class, "SANDSTONE");

    public static final ItemType SANDSTONE_STAIRS = DummyObjectProvider.createFor(ItemType.class, "SANDSTONE_STAIRS");

    public static final ItemType SAPLING = DummyObjectProvider.createFor(ItemType.class, "SAPLING");

    public static final ItemType SEA_LANTERN = DummyObjectProvider.createFor(ItemType.class, "SEA_LANTERN");

    public static final ItemType SHEARS = DummyObjectProvider.createFor(ItemType.class, "SHEARS");

    public static final ItemType SHIELD = DummyObjectProvider.createFor(ItemType.class, "SHIELD");

    public static final ItemType SHULKER_SHELL = DummyObjectProvider.createFor(ItemType.class, "SHULKER_SHELL");

    public static final ItemType SIGN = DummyObjectProvider.createFor(ItemType.class, "SIGN");

    public static final ItemType SILVER_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "SILVER_SHULKER_BOX");

    public static final ItemType SKULL = DummyObjectProvider.createFor(ItemType.class, "SKULL");

    public static final ItemType SLIME = DummyObjectProvider.createFor(ItemType.class, "SLIME");

    public static final ItemType SLIME_BALL = DummyObjectProvider.createFor(ItemType.class, "SLIME_BALL");

    public static final ItemType SNOW = DummyObjectProvider.createFor(ItemType.class, "SNOW");

    public static final ItemType SNOWBALL = DummyObjectProvider.createFor(ItemType.class, "SNOWBALL");

    public static final ItemType SNOW_LAYER = DummyObjectProvider.createFor(ItemType.class, "SNOW_LAYER");

    public static final ItemType SOUL_SAND = DummyObjectProvider.createFor(ItemType.class, "SOUL_SAND");

    public static final ItemType SPAWN_EGG = DummyObjectProvider.createFor(ItemType.class, "SPAWN_EGG");

    public static final ItemType SPECKLED_MELON = DummyObjectProvider.createFor(ItemType.class, "SPECKLED_MELON");

    public static final ItemType SPECTRAL_ARROW = DummyObjectProvider.createFor(ItemType.class, "SPECTRAL_ARROW");

    public static final ItemType SPIDER_EYE = DummyObjectProvider.createFor(ItemType.class, "SPIDER_EYE");

    public static final ItemType SPLASH_POTION = DummyObjectProvider.createFor(ItemType.class, "SPLASH_POTION");

    public static final ItemType SPONGE = DummyObjectProvider.createFor(ItemType.class, "SPONGE");

    public static final ItemType SPRUCE_BOAT = DummyObjectProvider.createFor(ItemType.class, "SPRUCE_BOAT");

    public static final ItemType SPRUCE_DOOR = DummyObjectProvider.createFor(ItemType.class, "SPRUCE_DOOR");

    public static final ItemType SPRUCE_FENCE = DummyObjectProvider.createFor(ItemType.class, "SPRUCE_FENCE");

    public static final ItemType SPRUCE_FENCE_GATE = DummyObjectProvider.createFor(ItemType.class, "SPRUCE_FENCE_GATE");

    public static final ItemType SPRUCE_STAIRS = DummyObjectProvider.createFor(ItemType.class, "SPRUCE_STAIRS");

    public static final ItemType STAINED_GLASS = DummyObjectProvider.createFor(ItemType.class, "STAINED_GLASS");

    public static final ItemType STAINED_GLASS_PANE = DummyObjectProvider.createFor(ItemType.class, "STAINED_GLASS_PANE");

    public static final ItemType STAINED_HARDENED_CLAY = DummyObjectProvider.createFor(ItemType.class, "STAINED_HARDENED_CLAY");

    public static final ItemType STICK = DummyObjectProvider.createFor(ItemType.class, "STICK");

    public static final ItemType STICKY_PISTON = DummyObjectProvider.createFor(ItemType.class, "STICKY_PISTON");

    public static final ItemType STONE = DummyObjectProvider.createFor(ItemType.class, "STONE");

    public static final ItemType STONEBRICK = DummyObjectProvider.createFor(ItemType.class, "STONEBRICK");

    public static final ItemType STONE_AXE = DummyObjectProvider.createFor(ItemType.class, "STONE_AXE");

    public static final ItemType STONE_BRICK_STAIRS = DummyObjectProvider.createFor(ItemType.class, "STONE_BRICK_STAIRS");

    public static final ItemType STONE_BUTTON = DummyObjectProvider.createFor(ItemType.class, "STONE_BUTTON");

    public static final ItemType STONE_HOE = DummyObjectProvider.createFor(ItemType.class, "STONE_HOE");

    public static final ItemType STONE_PICKAXE = DummyObjectProvider.createFor(ItemType.class, "STONE_PICKAXE");

    public static final ItemType STONE_PRESSURE_PLATE = DummyObjectProvider.createFor(ItemType.class, "STONE_PRESSURE_PLATE");

    public static final ItemType STONE_SHOVEL = DummyObjectProvider.createFor(ItemType.class, "STONE_SHOVEL");

    public static final ItemType STONE_SLAB = DummyObjectProvider.createFor(ItemType.class, "STONE_SLAB");

    public static final ItemType STONE_SLAB2 = DummyObjectProvider.createFor(ItemType.class, "STONE_SLAB2");

    public static final ItemType STONE_STAIRS = DummyObjectProvider.createFor(ItemType.class, "STONE_STAIRS");

    public static final ItemType STONE_SWORD = DummyObjectProvider.createFor(ItemType.class, "STONE_SWORD");

    public static final ItemType STRING = DummyObjectProvider.createFor(ItemType.class, "STRING");

    public static final ItemType STRUCTURE_BLOCK = DummyObjectProvider.createFor(ItemType.class, "STRUCTURE_BLOCK");

    public static final ItemType STRUCTURE_VOID = DummyObjectProvider.createFor(ItemType.class, "STRUCTURE_VOID");

    public static final ItemType SUGAR = DummyObjectProvider.createFor(ItemType.class, "SUGAR");

    public static final ItemType TALLGRASS = DummyObjectProvider.createFor(ItemType.class, "TALLGRASS");

    public static final ItemType TIPPED_ARROW = DummyObjectProvider.createFor(ItemType.class, "TIPPED_ARROW");

    public static final ItemType TNT = DummyObjectProvider.createFor(ItemType.class, "TNT");

    public static final ItemType TNT_MINECART = DummyObjectProvider.createFor(ItemType.class, "TNT_MINECART");

    public static final ItemType TORCH = DummyObjectProvider.createFor(ItemType.class, "TORCH");

    public static final ItemType TOTEM_OF_UNDYING = DummyObjectProvider.createFor(ItemType.class, "TOTEM_OF_UNDYING");

    public static final ItemType TRAPDOOR = DummyObjectProvider.createFor(ItemType.class, "TRAPDOOR");

    public static final ItemType TRAPPED_CHEST = DummyObjectProvider.createFor(ItemType.class, "TRAPPED_CHEST");

    public static final ItemType TRIPWIRE_HOOK = DummyObjectProvider.createFor(ItemType.class, "TRIPWIRE_HOOK");

    public static final ItemType VINE = DummyObjectProvider.createFor(ItemType.class, "VINE");

    public static final ItemType WATERLILY = DummyObjectProvider.createFor(ItemType.class, "WATERLILY");

    public static final ItemType WATER_BUCKET = DummyObjectProvider.createFor(ItemType.class, "WATER_BUCKET");

    public static final ItemType WEB = DummyObjectProvider.createFor(ItemType.class, "WEB");

    public static final ItemType WHEAT = DummyObjectProvider.createFor(ItemType.class, "WHEAT");

    public static final ItemType WHEAT_SEEDS = DummyObjectProvider.createFor(ItemType.class, "WHEAT_SEEDS");

    public static final ItemType WHITE_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "WHITE_SHULKER_BOX");

    public static final ItemType WOODEN_AXE = DummyObjectProvider.createFor(ItemType.class, "WOODEN_AXE");

    public static final ItemType WOODEN_BUTTON = DummyObjectProvider.createFor(ItemType.class, "WOODEN_BUTTON");

    public static final ItemType WOODEN_DOOR = DummyObjectProvider.createFor(ItemType.class, "WOODEN_DOOR");

    public static final ItemType WOODEN_HOE = DummyObjectProvider.createFor(ItemType.class, "WOODEN_HOE");

    public static final ItemType WOODEN_PICKAXE = DummyObjectProvider.createFor(ItemType.class, "WOODEN_PICKAXE");

    public static final ItemType WOODEN_PRESSURE_PLATE = DummyObjectProvider.createFor(ItemType.class, "WOODEN_PRESSURE_PLATE");

    public static final ItemType WOODEN_SHOVEL = DummyObjectProvider.createFor(ItemType.class, "WOODEN_SHOVEL");

    public static final ItemType WOODEN_SLAB = DummyObjectProvider.createFor(ItemType.class, "WOODEN_SLAB");

    public static final ItemType WOODEN_SWORD = DummyObjectProvider.createFor(ItemType.class, "WOODEN_SWORD");

    public static final ItemType WOOL = DummyObjectProvider.createFor(ItemType.class, "WOOL");

    public static final ItemType WRITABLE_BOOK = DummyObjectProvider.createFor(ItemType.class, "WRITABLE_BOOK");

    public static final ItemType WRITTEN_BOOK = DummyObjectProvider.createFor(ItemType.class, "WRITTEN_BOOK");

    public static final ItemType YELLOW_FLOWER = DummyObjectProvider.createFor(ItemType.class, "YELLOW_FLOWER");

    public static final ItemType YELLOW_SHULKER_BOX = DummyObjectProvider.createFor(ItemType.class, "YELLOW_SHULKER_BOX");

    // SORTFIELDS:OFF

    private ItemTypes() {
    }
}
