/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.statistic.achievement;

import org.spongepowered.api.util.generator.dummy.DummyObjectProvider;

/**
 * A list of the default achievements that are contained in Minecraft.
 */
public final class Achievements {

    // SORTFIELDS:ON

    public static final Achievement ACQUIRE_IRON = DummyObjectProvider.createFor(Achievement.class, "ACQUIRE_IRON");

    public static final Achievement BAKE_CAKE = DummyObjectProvider.createFor(Achievement.class, "BAKE_CAKE");

    public static final Achievement BLAZE_ROD = DummyObjectProvider.createFor(Achievement.class, "BLAZE_ROD");

    public static final Achievement BOOKCASE = DummyObjectProvider.createFor(Achievement.class, "BOOKCASE");

    public static final Achievement BREED_COW = DummyObjectProvider.createFor(Achievement.class, "BREED_COW");

    public static final Achievement BUILD_BETTER_PICKAXE = DummyObjectProvider.createFor(Achievement.class, "BUILD_BETTER_PICKAXE");

    public static final Achievement BUILD_FURNACE = DummyObjectProvider.createFor(Achievement.class, "BUILD_FURNACE");

    public static final Achievement BUILD_HOE = DummyObjectProvider.createFor(Achievement.class, "BUILD_HOE");

    public static final Achievement BUILD_PICKAXE = DummyObjectProvider.createFor(Achievement.class, "BUILD_PICKAXE");

    public static final Achievement BUILD_SWORD = DummyObjectProvider.createFor(Achievement.class, "BUILD_SWORD");

    public static final Achievement BUILD_WORK_BENCH = DummyObjectProvider.createFor(Achievement.class, "BUILD_WORK_BENCH");

    public static final Achievement COOK_FISH = DummyObjectProvider.createFor(Achievement.class, "COOK_FISH");

    public static final Achievement DIAMONDS = DummyObjectProvider.createFor(Achievement.class, "DIAMONDS");

    public static final Achievement DIAMONDS_TO_YOU = DummyObjectProvider.createFor(Achievement.class, "DIAMONDS_TO_YOU");

    public static final Achievement ENCHANTMENTS = DummyObjectProvider.createFor(Achievement.class, "ENCHANTMENTS");

    public static final Achievement EXPLORE_ALL_BIOMES = DummyObjectProvider.createFor(Achievement.class, "EXPLORE_ALL_BIOMES");

    public static final Achievement FLY_PIG = DummyObjectProvider.createFor(Achievement.class, "FLY_PIG");

    public static final Achievement FULL_BEACON = DummyObjectProvider.createFor(Achievement.class, "FULL_BEACON");

    public static final Achievement GHAST = DummyObjectProvider.createFor(Achievement.class, "GHAST");

    public static final Achievement KILL_COW = DummyObjectProvider.createFor(Achievement.class, "KILL_COW");

    public static final Achievement KILL_ENEMY = DummyObjectProvider.createFor(Achievement.class, "KILL_ENEMY");

    public static final Achievement KILL_WITHER = DummyObjectProvider.createFor(Achievement.class, "KILL_WITHER");

    public static final Achievement MAKE_BREAD = DummyObjectProvider.createFor(Achievement.class, "MAKE_BREAD");

    public static final Achievement MINE_WOOD = DummyObjectProvider.createFor(Achievement.class, "MINE_WOOD");

    public static final Achievement ON_A_RAIL = DummyObjectProvider.createFor(Achievement.class, "ON_A_RAIL");

    public static final Achievement OPEN_INVENTORY = DummyObjectProvider.createFor(Achievement.class, "OPEN_INVENTORY");

    public static final Achievement OVERKILL = DummyObjectProvider.createFor(Achievement.class, "OVERKILL");

    public static final Achievement OVERPOWERED = DummyObjectProvider.createFor(Achievement.class, "OVERPOWERED");

    public static final Achievement PORTAL = DummyObjectProvider.createFor(Achievement.class, "PORTAL");

    public static final Achievement POTION = DummyObjectProvider.createFor(Achievement.class, "POTION");

    public static final Achievement SNIPE_SKELETON = DummyObjectProvider.createFor(Achievement.class, "SNIPE_SKELETON");

    public static final Achievement SPAWN_WITHER = DummyObjectProvider.createFor(Achievement.class, "SPAWN_WITHER");

    public static final Achievement THE_END = DummyObjectProvider.createFor(Achievement.class, "THE_END");

    public static final Achievement THE_END2 = DummyObjectProvider.createFor(Achievement.class, "THE_END2");

    // SORTFIELDS:OFF

    private Achievements() {
    }

}
